Package org.apache.ignite.spi.systemview.view.sql

## Class SqlTableView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlTableView

-     public class SqlTableView
      extends Object

  Sql table representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlTableView​(org.apache.ignite.internal.processors.query.schema.management.TableDescriptor tbl)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `affinityKeyColumn()` | Returns name of affinity key column.
    `int` | `cacheGroupId()` | Returns cache group ID.
    `String` | `cacheGroupName()` | Returns Cache group name.
    `int` | `cacheId()` | Returns cache ID.
    `String` | `cacheName()` | Returns cache name.
    `boolean` | `isIndexRebuildInProgress()` |
    `String` | `keyAlias()` | Returns alias for key column.
    `String` | `keyTypeName()` | Returns name of key type.
    `String` | `schemaName()` | Returns schema name.
    `String` | `tableName()` | Returns table name.
    `String` | `valueAlias()` | Returns alias for value column.
    `String` | `valueTypeName()` | Returns name of value type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlTableView

          public SqlTableView​(org.apache.ignite.internal.processors.query.schema.management.TableDescriptor tbl)

      Parameters:
        `tbl` - Table.

  - ### Method Detail

    - #### cacheGroupId

          public int cacheGroupId()

      Returns cache group ID.
      Returns:
        Cache group ID.

    - #### cacheGroupName

          public String cacheGroupName()

      Returns Cache group name.
      Returns:
        Cache group name.

    - #### cacheId

          public int cacheId()

      Returns cache ID.
      Returns:
        Cache ID.

    - #### cacheName

          public String cacheName()

      Returns cache name.
      Returns:
        Cache name.

    - #### schemaName

          public String schemaName()

      Returns schema name.
      Returns:
        Schema name.

    - #### tableName

          public String tableName()

      Returns table name.
      Returns:
        Table name.

    - #### affinityKeyColumn

          public String affinityKeyColumn()

      Returns name of affinity key column.
      Returns:
        Affinity key column name.

    - #### keyAlias

          public String keyAlias()

      Returns alias for key column.
      Returns:
        Key alias.

    - #### valueAlias

          public String valueAlias()

      Returns alias for value column.
      Returns:
        Value alias.

    - #### keyTypeName

          public String keyTypeName()

      Returns name of key type.
      Returns:
        Key type name.

    - #### valueTypeName

          public String valueTypeName()

      Returns name of value type.
      Returns:
        Value type name.

    - #### isIndexRebuildInProgress

          public boolean isIndexRebuildInProgress()

      Returns:
        `True` if index rebuild is in progress.